import java.util.LinkedList;

import ital.Aszu;
import ital.Bor;

/**
 * Main class that represents the usage of the Bor and Aszu classes.
 * Creates objects based on the command parameters.
 */
public class Main {

  public static void main(String[] args) {
    // container for Bor objects
    LinkedList<Bor> list = new LinkedList<Bor>();
    // object for current Bor
    Bor bor = null;
    int i = 0;
    // reading arguments and creating objects
    while (i < args.length) {
      int evjarat = Integer.parseInt(args[i + 1]);
      if (args[i].toLowerCase().equals("aszu")) {
        int puttony = Integer.parseInt(args[i + 2]);
        bor = new Aszu(evjarat, puttony);
        list.add(bor);
        i += 3;
      } else {
        bor = new Bor(args[i], evjarat);
        list.add(bor);
        i += 2;
      }
    }
    // iterating on list and printing Bors
    for (Bor b : list) {
      kiirBor(b);
    }
  }
  
  /**
   * Prints the specified object to the standard output and 
   * the standard error.
   * @param b to be printed
   */
  public static void kiirBor(Bor b) {
    // print to output channel
    System.out.println(b);
    // print to error channel
    System.err.println(b);
  }

}
