package ital;

/**
 * Class for representing a special Bor object where the fajta is aszu and 
 * extends the Bor with the puttony attribute.
 */
public class Aszu extends Bor {
  private int puttony;
  
  /**
   * Constructs an Aszu objects and fills its attributes with the specified
   * parameters. The fajta attribute of the Bor will be aszu.
   * @param evjarat to be set
   * @param puttony to be set
   */
  public Aszu(int evjarat, int puttony) {
    super("aszu", evjarat);
    this.puttony = puttony;
  }

  /**
   * Returns the value of the puttony attribute of the current object.
   * @return the puttony of the object
   */
  public int getPuttony() {
    return puttony;
  }

  /**
   * Sets the specified value for the fajta attribute of the current object.
   * @param puttony to be set
   */
  public void setPuttony(int puttony) {
    this.puttony = puttony;
  }

  @Override
  public String toString() {
    return super.toString() + ", puttony=" + puttony;
  }

}
